/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_H)
#define _DATA_H

#define BUF_LEN 1024

typedef enum {
	CONTACT_TYPE_FAVOURITES = 0,
	CONTACT_TYPE_MY_PROFILE = 1,
	CONTACT_TYPE_CONTACTS = 2,
	CONTACT_TYPE_MAX,
} contact_type_e;

typedef struct _contact_info_s {
	contact_type_e type;
	int index;
	char *name;
	char *number;
	char *img_path;
} contact_info_s;

/**
 * Initialize the data component
 */
void data_initialize(void);
/**
 * Finalize the data component
 */
void data_finalize(void);

char *data_get_text(const char *part);
char *data_get_menu_title_text(void *data, Evas_Object *obj, const char *part);
char *data_get_display_title_text(void *data, Evas_Object *obj, const char *part);
char *data_get_gl_title_text(void *data, Evas_Object *obj, const char *part);
char *data_get_gl_type_text(void *data, Evas_Object *obj, const char *part);
char *data_get_gl_text(void *data, Evas_Object *obj, const char *part);

int data_get_contact_count(const contact_type_e type);
char *data_get_contact_name(const contact_type_e type, int index);
char *data_get_contact_number(const contact_type_e type, int index);
char *data_get_contact_image(const contact_type_e type, int index);

void data_get_resource_path(const char *edj_file_in, char *file_path_out, int file_path_max);

#endif
